<template>
  <div id="shuikutianbaoId">
    <a-modal :open="dialogFormVisible" :title="currentObjectName + '督查填报'" width="100%" @cancel="closeDialog" :footer="null">
      <a-layout>
        <a-layout-content id="dxdcListMain">
          <a-tabs v-model="currentViewId" type="card">
            <a-tab-pane v-for="option in options" :key="option.value" :tab="option.label" @tabClick="tabIndexChange">
              <component
                :is="option.value"
                :currentObjectRgstrId="currentObjectRgstrId"
                :currentObjectName="currentObjectName"
                :currentResCode="currentResCode"
                :currentObjectId="currentObjectId"
                :activeLabel="activeLabel"
                :pType="pType"
                :inspType="inspType"
                :id="id"
                :prjType="prjType"
                :openType="openType"
                @cancelHandler="cancelHandler"
                @addShuiKuSuccess="addShuiKuSuccess"></component>
            </a-tab-pane>
          </a-tabs>
        </a-layout-content>
      </a-layout>
    </a-modal>
  </div>
</template>

<script>
import { getrgstrIdObject } from '../../api/duChaTianBao';
import request from '../../utils/gw_ajax_request';
import bleedSituation from './xiaoshuidian/bleedSituation.vue';
import jichuxinxi from './xiaoshuidian/jichuxinxi.vue';
import monitoring from './xiaoshuidian/monitoring.vue';
import problemList from './xiaoshuidian/problemList.vue';
import safeSituation from './xiaoshuidian/safeSituation.vue';
export default {
  components: {
    jichuxinxi: jichuxinxi,
    bleedSituation: bleedSituation,
    monitoring: monitoring,
    safeSituation: safeSituation,
    problemList: problemList,
  },
  props: [
    'id',
    'rowData',
    'currentObjectRgstrId',
    'currentResCode',
    'currentObjectId',
    'currentObjectName',
    'pType',
    'inspType',
    'prjType',
    'openType',
  ],
  data() {
    return {
      options: [
        { label: '基础信息纠错', value: 'jichuxinxi' },
        { label: '生态流量泄放情况', value: 'bleedSituation' },
        { label: '生态流量监测情况', value: 'monitoring' },
        { label: '大坝安全情况', value: 'safeSituation' },
        { label: '问题清单', value: 'problemList' },
      ],
      value: '',
      dialogShow: false,
      currentViewId: 'jichuxinxi',
      dialogFormVisible: true,
      activeLabel: '',
    };
  },
  computed: {
    persId() {
      return localStorage.getItem('persId')
        ? localStorage.getItem('persId')
        : '1098101939614724096';
    },
    currentRlcode() {
      return localStorage.getItem('currentRlcode')
        ? localStorage.getItem('currentRlcode')
        : '';
    },
  },
  mounted() {
    console.log(this.pType);
  },
  methods: {
    submitHandler() {
      getrgstrIdObject(this.rowData.code, this.rowData.objId).then((res) => {
        if (res.data.baseStat == '0') {
          this.$message.warning('请填写重点环节落实情况！');
          return;
        } else if (res.data.presStat == '0') {
          this.$message.warning('请填写责任人状态！');
          return;
        } else if (res.data.resRunStat == '0') {
          this.$message.warning('请填写水库工程实体和运行管理情况！');
          return;
        } else if (res.data.viewStat == '0') {
          this.$message.warning('走访用户状态！');
          return;
        }
        this.$confirm({
          title: '提示',
          content: '请确认所有信息填报完毕？',
          okType: 'warning',
          onOk: () => {
            const formObj = {
              rgstrId: this.currentObjectRgstrId,
              state: '2',
            };
            request.post('/dc/insp/rsvrRgstr/update', formObj).then((res) => {
              if (res.success) {
                this.$emit('addShuiKuSuccess');
                this.$message.success('提交成功');
              } else {
                this.$emit('cancelHandler');
              }
            });
          },
        });
      });
    },
    closeHandler() {
      this.dialogShow = false;
      this.$emit('addShuiKuSuccess');
    },
    appearDialog(type) {
      this.dialogShow = true;
      // this.problemSmallType = type
    },
    closePDialog() {
      this.dialogShow = false;
    },
    showDialog() {
      this.dialogFormVisible = true;
    },
    cancelHandler() {
      this.$emit('cancelHandler');
    },
    addShuiKuSuccess() {
      this.$emit('addShuiKuSuccess');
    },
    closeDialog() {
      this.$confirm({
        title: '提示',
        content: '确认退出吗？',
        okType: 'warning',
        onOk: () => {
          this.$emit('cancelHandler');
        },
      });
    },
    tabIndexChange(item) {
      if (item == '问题清单') {
        this.activeLabel = item;
      } else {
        this.activeLabel = '';
      }
    },
  },
};
</script>

<style lang='less' scoped>
:deep(.ant-modal) {
  top: 0;
}
</style>
